Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14366

Description

"project properties" misses from both the "file" and the "settings" menus.

The icons problem surfaced on Ubuntu also when approaching qgis 1.7, then it was solved.

QGIS-master installed with the nightly builds repository.

Related issues:

Duplicates QGIS Application - Bug report # 2877: menu icons do not show under... Closed

Duplicates QGIS Application - Bug report # 4027: Icon missing in the menu whe... Rejected 2011-06-27

Associated revisions

Revision a240f442 - 2012-06-15 07:08 PM - Etienne Tourigny

fix #4434

History

#1 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2011-12-24 01:49 AM - Giovanni Manghi

- Subject changed from "project properties" and menu icons missing from qgis-trunk on Ubuntu 11.10 to "project properties" and menu icons missing 

from QGIS when using UNITY Desktop Manager

- Priority changed from High to Normal

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

The icons and the "project properties" menu entry are missing from Unity, not other Desktop Managers.

#3 - 2012-04-16 06:31 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-05-10 06:32 AM - leonardo andres hardtke

Hi!

I'm running 1.8 rc under Ubuntu 12.04 LTS, no entry for "project properties" on the menu yet.

here is the output when running QGIS from terminal
Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Project Properties..." under id 125 

Warning: void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action 

Warning: void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action

Hope it helps

#5 - 2012-06-13 10:52 AM - Etienne Tourigny

I'm guessing that the action should be removed from the Settings menu with removeAction() before adding it to any other menu.

#6 - 2012-06-14 03:51 PM - Etienne Tourigny

- File fix-ubuntu-menu.patch added

- % Done changed from 0 to 40

- Pull Request or Patch supplied changed from No to Yes

The following 1-liner patch (following my previous comment) resolves the problem:

diff --git a/src/app/qgisapp.cpp b/src/app/qgisapp.cpp

index 452c3d3..1402559 100644

--- a/src/app/qgisapp.cpp

+++ b/src/app/qgisapp.cpp

@@ -1088,9 +1088,9 @@ void QgisApp::createMenus()

   if ( layout == QDialogButtonBox::GnomeLayout || layout == QDialogButtonBox::MacLayout )

   {

     QAction* before = mActionNewPrintComposer;

+    mSettingsMenu->removeAction( mActionProjectProperties );

     mFileMenu->insertAction( before, mActionProjectProperties );

     mFileMenu->insertSeparator( before );

-    mSettingsMenu->removeAction( mActionProjectProperties );

   }

   // View Menu

This patch should probably applied to master and 1.8 .

Workaround is to use the "CRS Status" icon on the bottom right which opens the Project Properties dialog at the CRS tab.

This should probably added to the 1.8 known issues.

The missing icons bug is unrelated, though.

#7 - 2012-06-14 03:53 PM - Etienne Tourigny

Just to clarify - is the menu icon missing for all menu items?  Is this when using "normal" Unity?

Because in a VM, I see all icons fine - but this is with Unity-2d
#8 - 2012-06-15 10:09 AM - Etienne Tourigny

- Status changed from Open to Closed

Fixed in changeset commit:"a240f4423706329509c6645b190982849e8a1764".

Files

fix-ubuntu-menu.patch 587 Bytes 2012-06-14 Etienne Tourigny
